<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "of";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//Testing 
$options_select = array("one","two","three","four","five"); 
$options_search = array("Enable","Disable"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Set the Options Array
$options = array();

$options[] = array( "name" => "General Settings",
                    "type" => "heading");
					

$options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Show Search",
					"desc" => "Enable/Disable Search on Header",
					"id" => $shortname."_search_select",
					"std" => "three",
					"type" => "select",
					"class" => "mini", //mini, tiny, small
					"options" => $options_search);  
					
                                              
$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");                                                    
    
$options[] = array( "name" => "Sidebar Options",
					"type" => "heading");
					
$options[] = array( "name" => "Show Sidebar in Single Posts",
					"desc" => "Disabling this will make the single post page full-width.",
					"id" => $shortname."_show_sidebar",
					"std" => "three",
					"type" => "select",
					"class" => "mini", //mini, tiny, small
					"options" => $options_search);  


$options[] = array( "name" => "Show Sidebar Tabs",
					"desc" => "Hide or Show Tabs in Sidebar",
					"id" => $shortname."_show_popular",
					"std" => "three",
					"type" => "select",
					"class" => "mini", //mini, tiny, small
					"options" => $options_search); 
					
$options[] = array( "name" => "Show Featured Video",
					"desc" => "Show or Hide Featured Video in Sidebar",
					"id" => $shortname."_show_video",
					"std" => "three",
					"type" => "select",
					"class" => "mini", //mini, tiny, small
					"options" => $options_search); 
					
$options[] = array( "name" => "Featured Video Title",
					"desc" => "Title For Featured Video",
					"id" => $shortname."_video_title",
					"std" => "Featured Video",
					"type" => "text"); 
					
$options[] = array( "name" => "Featured Video (Youtube ID)",
					"desc" => "Enter The ID of Your Youtube Video",
					"id" => $shortname."_youtube",
					"std" => "H5h95s0OuEg",
					"type" => "text"); 
								
					
$options[] = array( "name" => "Social Media Settings",
					"type" => "heading");      

$options[] = array( "name" => "Show Social Media Icons in Sidebar",
					"desc" => "Disabling this will hide all social media icons from sidebar",
					"id" => $shortname."_show_social",
					"std" => "three",
					"type" => "select",
					"class" => "mini", //mini, tiny, small
					"options" => $options_search); 
					
$options[] = array( "name" => "Facebook",
					"desc" => "Enter Your Facebook Username Here.",
					"id" => $shortname."_facebook",
					"std" => "",
					"type" => "text"); 

$options[] = array( "name" => "Twitter",
					"desc" => "Enter Your Twitter Username Here.",
					"id" => $shortname."_twitter",
					"std" => "",
					"type" => "text"); 


$options[] = array( "name" => "Linkedin",
					"desc" => "Enter Your Linkedin Username Here.",
					"id" => $shortname."_linkedin",
					"std" => "",
					"type" => "text"); 


$options[] = array( "name" => "Stumbleupon",
					"desc" => "Enter Your Stumbleupon Username Here.",
					"id" => $shortname."_su",
					"std" => "",
					"type" => "text"); 


$options[] = array( "name" => "Flickr",
					"desc" => "Enter Your Flickr Username Here.",
					"id" => $shortname."_flickr",
					"std" => "",
					"type" => "text"); 


$options[] = array( "name" => "Youtube",
					"desc" => "Enter Your Youtube Username Here.",
					"id" => $shortname."_tube",
					"std" => "",
					"type" => "text"); 

					
					
$options[] = array( "name" => "Menu Color Options",
					"type" => "heading"); 	   
						
$options[] = array( "name" => "Background Color For Topmenu",
					"desc" => "Choose Background Color For Topmenu.",
					"id" => $shortname."_topmenu_bg",
					"std" => "#DA482B",
					"type" => "color"); 
					
$options[] = array( "name" => "Hover Color For TopMenu",
					"desc" => "Choose foreground for topmenu when mouseover..",
					"id" => $shortname."_topmenu_fg",
					"std" => "#C64127",
					"type" => "color");   
					
$options[] = array( "name" => "Font Color For TopMenu",
					"desc" => "Choose Font Color For Top Menu",
					"id" => $shortname."_topmenu_fontclr",
					"std" => "#ffffff",
					"type" => "color");                            
					


update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>
